rte_service_spec(3)

NAME
rte_service_spec

SYNOPSIS

#include <rte_service_component.h>

  Data Fields

char name [RTE_SERVICE_NAME_MAX]
rte_service_func callback
void * callback_userdata
uint32_t capabilities
int socket_id

Detailed Description

The specification of a service.

This struct contains metadata about the service itself, the callback function to run one iteration of the service, a userdata pointer, flags etc.

Definition at line 35 of file rte_service_component.h.

Field Documentation

  char name[RTE_SERVICE_NAME_MAX]
The name of the service. This should be used by the application to understand what purpose this service provides.

Definition at line 39 of file rte_service_component.h.

  rte_service_func callback
The callback to invoke to run one iteration of the service.

Definition at line 41 of file rte_service_component.h.

  void* callback_userdata
The userdata pointer provided to the service callback.

Definition at line 43 of file rte_service_component.h.

  uint32_t capabilities
Flags to indicate the capabilities of this service. See defines in the public header file for values of RTE_SERVICE_CAP_*

Definition at line 47 of file rte_service_component.h.

  int socket_id
NUMA socket ID that this service is affinitized to

Definition at line 49 of file rte_service_component.h.

Author

Generated automatically by Doxygen for DPDK from the source code.